## mpi4py 1.3+hg20120611

=== docs/source/usrman/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mpi4py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mpi4py.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mpi4py 1.2.2

=== debian/changelog ===
mpi4py (1.2.2-4) unstable; urgency=low

  [ Bradley M. Froehle ]
  * Build using dh_python2
  * Add package for Python 3

  [ Yaroslav Halchenko ]
  * Guard all for loops with 'set -e' to guarantee failure if any
    iteration fails
  * up_no_modlibs patch to exclude seems unneeded linking against MODLIBS
    which carry unnecessary -lffi on recent debian systems preventing correct
    build
  * debian/copyright: adjusted for dep5 and list Bradley 
  * Boosted policy to 3.9.3 -- no further changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 May 2012 13:24:18 -0400

mpi4py (1.2.2-3) unstable; urgency=low

  [ Bradley M. Froehle ]
  * Symbolic link /usr/include/mpi4py ->
    /usr/share/pyshared/mpi4py/include/mpi4py (Closes: #650329)

  [ Yaroslav Halchenko ]
  * Boosted policy to 3.9.2 -- no changes
  * Adjusted gbp.conf to do overlay build
  * Ajudsted debian/copyright to comply with changes in DEP5
  * Added python-support to build-depends (Closes: #642451)
  * pyshared -> pymodules for -dbg package

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Nov 2011 17:09:46 -0500

mpi4py (1.2.2-2) unstable; urgency=low

  * Use mpi-default-{dev,bin} as *Depends to allow building on platforms
    without openmpi implementation available

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Apr 2011 09:26:13 -0400

mpi4py (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #604161)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 15:09:51 -0400

=== debian/control ===
Source: mpi4py
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               mpi-default-dev, mpi-default-bin,
               rsh-client | openssh-client,
               python-all-dev (>= 2.6.6-3~),
               python-numpy,
               python-sphinx,
               python-nose,
               python3-all-dev,
               python3-numpy,
               python3-nose,
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/mpi4py/
Vcs-Git: git://git.debian.org/git/pkg-exppsy/mpi4py.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/mpi4py.git

Package: python-mpi4py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: mpi-default-bin
Suggests: python-numpy
Description: bindings of the Message Passing Interface (MPI) standard
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).

Package: python-mpi4py-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-mpi4py (= ${binary:Version})
Description: bindings of the MPI standard -- debug symbols
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).
 .
 This package provides debug symbols.

Package: python3-mpi4py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: mpi-default-bin
Suggests: python3-numpy
Description: bindings of the Message Passing Interface (MPI) standard
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).

Package: python3-mpi4py-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python3-mpi4py (= ${binary:Version})
Description: bindings of the MPI standard -- debug symbols
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).
 .
 This package provides debug symbols.

Package: python-mpi4py-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-mpi4py
Description: bindings of the MPI standard -- documentation
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).
 .
 This package provides HTML rendering of the user's manual.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYVER = $(shell pyversions -d -v)
PY2VERS = $(shell pyversions -vr)
PY3VERS = $(shell py3versions -vr)

# Enforce use of openmpi only for now,
# could be overriden from commandline as necessary
MPI=.openmpi

%:
	dh $@ --with python2,python3 --buildsystem python_distutils

# Enforce distutils build system to build for all supported versions
# then build documentation
override_dh_auto_build:
	dh_auto_build $@ -- \
		--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI)

	: # Build for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py build \
			--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI); \
	done

	: # Build documentation now
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*$(PYVER)` \
	 make -C docs/source/usrman/ html
	-rm -r docs/source/usrman/build/html/_sources
	: # objects inventory is of no use for the package
	-rm docs/source/usrman/build/html/objects.inv

override_dh_auto_install:
	dh_auto_install

	: # Install for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py install  --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_install:
	dh_install

	: # create symlinks for .h files
	set -e; for i in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$i ] || \
		mkdir -p $(CURDIR)/debian/python-mpi4py/usr/include/python$$i; \
		dh_link usr/lib/python$$i/dist-packages/mpi4py/include/mpi4py usr/include/python$$i/mpi4py; \
	done

	: # Python 3
	set -e; for i in $(PY3VERS); do \
	[ -d $(CURDIR)/debian/python3-mpi4py/usr/include/python$$i ] || \
		mkdir -p $(CURDIR)/debian/python3-mpi4py/usr/include/python$$i; \
		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py usr/include/python$$i/mpi4py; \
	done

	: # share -dbg and normal package doc dirs
	rm -rf debian/python-mpi4py-dbg/usr/share/doc/python-mpi4py-dbg
	dh_link -ppython-mpi4py-dbg usr/share/doc/python-mpi4py usr/share/doc/python-mpi4py-dbg
	rm -rf debian/python3-mpi4py-dbg/usr/share/doc/python3-mpi4py-dbg
	dh_link -ppython3-mpi4py-dbg usr/share/doc/python3-mpi4py usr/share/doc/python3-mpi4py-dbg

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for P in $(PY2VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P /usr/bin/nosetests -v -w test --exclude='test(PackUnpackExternal|FreePredefined)'; \
	done
	set -e; for P in $(PY3VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P /usr/bin/nosetests -v -w test --exclude='test(PackUnpackExternal|FreePredefined|Memory)'; \
	done
else
	: # Skip unittests due to nocheck
endif

override_dh_strip:
	dh_strip -ppython-mpi4py --dbg-package=python-mpi4py-dbg
	dh_strip -ppython3-mpi4py --dbg-package=python3-mpi4py-dbg

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.txt

## Immediately useable documentation
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_auto_clean:
	dh_auto_clean $@
	rm -rf `find -name build -type d`

## mpi4py 1.3

=== debian/changelog ===
mpi4py (1.3-1) unstable; urgency=low

  [ Bradley M. Froehle ]
  * New upstream release (Closes: #675520)
  * Import "Safer Cython version check" from upstream to allow building
    against pre-release versions of Cython
  * Fix FTBFS issues on some platforms where the default MPI implementation
    is not OpenMPI
  * python-mpi executables are not packaged; they are not required by OpenMPI
    or MPICH2

  [ Yaroslav Halchenko ]
  * Boosted mpi-default-bin into Depends from Recommends since according
    to tireless Bradley otherwise it is useless (Closes: #670768)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Jun 2012 16:15:51 -0400

## mpi4py 1.3+hg20120611

=== debian/changelog ===
mpi4py (1.3+hg20120611-2) unstable; urgency=low

  * Cherry-picked patch from upstream for python3.3 compatibility (failing
    unittests) (Closes: #691244)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Oct 2012 10:23:29 -0400

mpi4py (1.3+hg20120611-1) unstable; urgency=low

  [ Bradley M. Froehle ]
  * New snapshot from the upstream's release-1.3 branch in HG, revision
    4f6ac1ea8b9d.  Includes post-release bugfixes for kFreeBSD, pickling
    etc.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Jun 2012 21:47:41 -0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python-numpy,
                python-sphinx,
                python-nose,
+               cython,
                python3-all-dev,
                python3-numpy,
                python3-nose,
@@ -20,8 +21,8 @@
 
 Package: python-mpi4py
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: mpi-default-bin
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+         mpi-default-bin
 Suggests: python-numpy
 Description: bindings of the Message Passing Interface (MPI) standard
  MPI for Python (mpi4py) provides bindings of the Message Passing

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PY2 = $(shell pyversions -vd)
PY2VERS = $(shell pyversions -vr)
PY3VERS = $(shell py3versions -vr)

# Specify a specific version of MPI to use in the build, otherwise
# just use the default.
# MPI=.openmpi

%:
	dh $@ --with python2,python3 --buildsystem python_distutils

# Enforce distutils build system to build for all supported versions
# then build documentation
override_dh_auto_build:
	dh_auto_build $@ -- \
		--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI)

	: # Build for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py build \
			--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI); \
	done

	: # Build documentation now
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*$(PY2)` \
	 make -C docs/source/usrman/ html
	-rm -r docs/source/usrman/_build/html/_sources
	: # objects inventory is of no use for the package
	-rm docs/source/usrman/_build/html/objects.inv

override_dh_auto_install:
	dh_auto_install

	: # Install for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py install  --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	: # Remove python-mpi binaries
	find $(CURDIR)/debian/tmp -name python-mpi -delete
	find $(CURDIR)/debian/tmp -type d -empty -delete

override_dh_install:
	dh_install

	: # create symlinks for .h files
	set -e; for v in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v ] || \
		mkdir -p $(CURDIR)/debian/python-mpi4py/usr/include/python$$v; \
		dh_link usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
	done

	: # Python 3
	set -e; for v in $(PY3VERS); do \
	[ -d $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v ] || \
		mkdir -p $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v; \
		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
	done

	: # share -dbg and normal package doc dirs
	rm -rf debian/python-mpi4py-dbg/usr/share/doc/python-mpi4py-dbg
	dh_link -ppython-mpi4py-dbg usr/share/doc/python-mpi4py usr/share/doc/python-mpi4py-dbg
	rm -rf debian/python3-mpi4py-dbg/usr/share/doc/python3-mpi4py-dbg
	dh_link -ppython3-mpi4py-dbg usr/share/doc/python3-mpi4py usr/share/doc/python3-mpi4py-dbg

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for v in $(PY2VERS) $(PY3VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$v` \
	  /usr/bin/python$$v /usr/bin/nosetests -v --exclude='testPackUnpackExternal'; \
	done
else
	: # Skip unittests due to nocheck
endif

override_dh_strip:
	dh_strip -ppython-mpi4py --dbg-package=python-mpi4py-dbg
	dh_strip -ppython3-mpi4py --dbg-package=python3-mpi4py-dbg

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.txt

## Immediately useable documentation
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_auto_clean:
	dh_auto_clean $@
	rm -rf `find -name build -type d`
	rm -rf `find -name _build -type d`

	: # Remove Cython generated files
	rm -f src/mpi4py.MPE.c src/mpi4py.MPI.c src/include/mpi4py/mpi4py.MPI_api.h

## mpi4py 1.3+hg20130509

=== docs/source/usrman/Makefile ===
--- 
+++ 
@@ -11,21 +11,32 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+# the i18n builder cannot share the environment and doctrees with the others
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  html      to make standalone HTML files"
-	@echo "  dirhtml   to make HTML files named index.html in directories"
-	@echo "  pickle    to make pickle files"
-	@echo "  json      to make JSON files"
-	@echo "  htmlhelp  to make HTML files and a HTML help project"
-	@echo "  qthelp    to make HTML files and a qthelp project"
-	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  changes   to make an overview of all changed/added/deprecated items"
-	@echo "  linkcheck to check all external links for integrity"
-	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
+	@echo "  html       to make standalone HTML files"
+	@echo "  dirhtml    to make HTML files named index.html in directories"
+	@echo "  singlehtml to make a single large HTML file"
+	@echo "  pickle     to make pickle files"
+	@echo "  json       to make JSON files"
+	@echo "  htmlhelp   to make HTML files and a HTML help project"
+	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  devhelp    to make HTML files and a Devhelp project"
+	@echo "  epub       to make an epub"
+	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  text       to make text files"
+	@echo "  man        to make manual pages"
+	@echo "  texinfo    to make Texinfo files"
+	@echo "  info       to make Texinfo files and run them through makeinfo"
+	@echo "  gettext    to make PO message catalogs"
+	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  linkcheck  to check all external links for integrity"
+	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
 	-rm -rf $(BUILDDIR)/*
@@ -39,6 +50,11 @@
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+
+singlehtml:
+	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
+	@echo
+	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
 pickle:
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
@@ -61,16 +77,64 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mpi4py.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PETScforPython.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mpi4py.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PETScforPython.qhc"
+
+devhelp:
+	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
+	@echo
+	@echo "Build finished."
+	@echo "To view the help file:"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/PETScforPython"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PETScforPython"
+	@echo "# devhelp"
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
+	@echo
+	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
-	      "run these through (pdf)latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+text:
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
+	@echo
+	@echo "Build finished. The text files are in $(BUILDDIR)/text."
+
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+texinfo:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo
+	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
+	@echo "Run \`make' in that directory to run these through makeinfo" \
+	      "(use \`make info' here to do that automatically)."
+
+info:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo "Running Texinfo files through makeinfo..."
+	make -C $(BUILDDIR)/texinfo info
+	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
+
+gettext:
+	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
+	@echo
+	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes

=== debian/changelog ===
mpi4py (1.3+hg20130509-1) unstable; urgency=low

  * Fresh upstream snapshot:
    - fixes Cython 0.19 compatibility (Closes: #707314)
    - incorporates patches cython_version_check.patch,
      up_test_win_python3.3.patch)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 09 May 2013 12:33:57 -0400

mpi4py (1.3+hg20120611-3) unstable; urgency=medium

  * Create a suffixed (e.g. python3.2mu) python3 directory matching the
    one present on the system for the given version of python3  (Closes:
    #700995)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Feb 2013 14:51:54 -0500

## mpi4py 1.3.1%2Bhg20131106

=== debian/changelog ===
mpi4py (1.3.1+hg20131106-1build3) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 14:19:00 +0100

mpi4py (1.3.1+hg20131106-1build2) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:32:04 +0000

mpi4py (1.3.1+hg20131106-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 14:23:16 -0500

mpi4py (1.3.1+hg20131106-1) unstable; urgency=low

  * Fresh upstream snapshot which includes 1.3.1 stable release
  * debian/rules:
    - get-orig-dev-source to generate snapshot tarballs out from HG
  * debian/rules,control:
    - use dh_autoreconf and rebuild Cython extensions if cython is newer
      than 0.19.1
    - use dh_sphinxdoc (build-depends version for sphinx boosted to
      1.0.7+dfsg~) and remove manual symlinking of jquery.js
      (Closes: #725601)
  * debian/control
    - boost policy to 3.9.4

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Nov 2013 13:22:56 -0500

## mpi4py 1.3.1+hg20131106

=== conf/CMakeLists.txt ===
# Author:  Lisandro Dalcin
# Contact: dalcinl@gmail.com
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(mpi4py)

FIND_PACKAGE(PythonInterp)
FIND_PACKAGE(PythonLibs)
FIND_PACKAGE(MPI)

SET(mpi4py_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src")
SET(mpi4py_BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}/mpi4py")

FILE(GLOB mpi4py_PYTHON_FILES
     RELATIVE ${mpi4py_SOURCE_DIR}
     ${mpi4py_SOURCE_DIR}/*.py)

FILE(GLOB mpi4py_HEADER_FILES
     RELATIVE ${mpi4py_SOURCE_DIR}
     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.px[di]
     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.pyx
     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.[hi]
     ${mpi4py_SOURCE_DIR}/*.pxd
    )

FOREACH(file
        ${mpi4py_PYTHON_FILES}
        ${mpi4py_HEADER_FILES}
        )
  SET(src "${mpi4py_SOURCE_DIR}/${file}")
  SET(tgt "${mpi4py_BINARY_DIR}/${file}")
  ADD_CUSTOM_COMMAND(
    DEPENDS ${src}
    OUTPUT  ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E copy ${src} ${tgt}
    COMMENT "copy: ${file}"
    )
  SET(mpi4py_OUTPUT_FILES ${mpi4py_OUTPUT_FILES} ${tgt})
ENDFOREACH(file)

FOREACH(file ${mpi4py_PYTHON_FILES})
  SET(mpi4py_py  ${mpi4py_py}  "${mpi4py_BINARY_DIR}/${file}")
  SET(mpi4py_pyc ${mpi4py_pyc} "${mpi4py_BINARY_DIR}/${file}c")
  SET(mpi4py_pyo ${mpi4py_pyo} "${mpi4py_BINARY_DIR}/${file}o")
ENDFOREACH(file)
ADD_CUSTOM_COMMAND(
  COMMAND ${CMAKE_COMMAND} ARGS -E echo 'from compileall import compile_dir'     > compile_py
  COMMAND ${CMAKE_COMMAND} ARGS -E echo 'compile_dir(\"${mpi4py_BINARY_DIR}\")' >> compile_py
  COMMAND ${PYTHON_EXECUTABLE} ARGS compile_py
  COMMAND ${PYTHON_EXECUTABLE} ARGS -O compile_py
  COMMAND ${CMAKE_COMMAND} ARGS -E remove compile_py
  DEPENDS ${mpi4py_py}
  OUTPUT  ${mpi4py_pyc} ${mpi4py_pyo}
  )
SET(mpi4py_OUTPUT_FILES ${mpi4py_OUTPUT_FILES} ${mpi4py_pyc} ${mpi4py_pyo})


FIND_PROGRAM(MPI_COMPILER_CC
  NAMES mpicc
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI C compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_CC)
FIND_PROGRAM(MPI_COMPILER_CXX
  NAMES mpicxx mpic++ mpiCC
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI C++ compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_CXX)
find_program(MPI_COMPILER_F77
  NAMES mpif77
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI F77 compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_F77)
FIND_PROGRAM(MPI_COMPILER_F90
  NAMES mpif90
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI F90 compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_F90)
FOREACH(file "mpi.cfg")
  SET(tgt "${mpi4py_BINARY_DIR}/${file}")
  ADD_CUSTOM_COMMAND(
    OUTPUT  ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo '[mpi]' > "${tgt}"
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpicc  = ${MPI_COMPILER_CC}'  >> ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpicxx = ${MPI_COMPILER_CXX}' >> ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpif77 = ${MPI_COMPILER_F77}' >> ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpif90 = ${MPI_COMPILER_F90}' >> ${tgt}
    COMMENT "write: ${file}"
    )
  SET(mpi4py_OUTPUT_FILES ${mpi4py_OUTPUT_FILES} ${tgt})
ENDFOREACH(file)

ADD_CUSTOM_TARGET(mpi4py ALL DEPENDS ${mpi4py_OUTPUT_FILES})

INCLUDE_DIRECTORIES(
  ${MPI_INCLUDE_PATH}
  ${PYTHON_INCLUDE_PATH}
  "${mpi4py_SOURCE_DIR}"
  )

# --- mpi4py.MPI ---
PYTHON_ADD_MODULE(mpi4py.MPI MODULE "${mpi4py_SOURCE_DIR}/MPI.c")
SET_TARGET_PROPERTIES(
  mpi4py.MPI PROPERTIES
  OUTPUT_NAME "MPI" PREFIX ""
  COMPILE_FLAGS "${MPI_COMPILE_FLAGS}"
  LINK_FLAGS "${MPI_LINK_FLAGS}"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(mpi4py.MPI ${PYTHON_LIBRARY})
TARGET_LINK_LIBRARIES(mpi4py.MPI ${MPI_LIBRARIES})


# --- mpi4py.MPE ---
PYTHON_ADD_MODULE(mpi4py.MPE MODULE ${mpi4py_SOURCE_DIR}/MPE.c)
SET_TARGET_PROPERTIES(
  mpi4py.MPE PROPERTIES
  OUTPUT_NAME "MPE" PREFIX ""
  COMPILE_FLAGS "${MPE_COMPILE_FLAGS}" "${MPI_COMPILE_FLAGS}"
  LINK_FLAGS "${MPE_LINK_FLAGS}" "${MPI_LINK_FLAGS}"
  LIBRARY_OUTPUT_DIRECTORY ${mpi4py_BINARY_DIR}
  RUNTIME_OUTPUT_DIRECTORY ${mpi4py_BINARY_DIR}
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(mpi4py.MPE ${PYTHON_LIBRARY})
TARGET_LINK_LIBRARIES(mpi4py.MPE ${MPE_LIBRARY})
TARGET_LINK_LIBRARIES(mpi4py.MPE ${MPI_LIBRARIES})


# --- mpi4py.dl ---
PYTHON_ADD_MODULE(mpi4py.dl MODULE "${mpi4py_SOURCE_DIR}/dynload.c")
SET_TARGET_PROPERTIES(
  mpi4py.dl PROPERTIES
  OUTPUT_NAME "dl" PREFIX ""
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(mpi4py.dl ${PYTHON_LIBRARY})
TARGET_LINK_LIBRARIES(mpi4py.dl ${CMAKE_DL_LIBS})


# --- mpi4py/bin/python-mpi ---
ADD_EXECUTABLE(python-mpi "${mpi4py_SOURCE_DIR}/python.c")
SET_TARGET_PROPERTIES(
  python-mpi PROPERTIES
  COMPILE_FLAGS "${MPI_COMPILE_FLAGS}"
  LINK_FLAGS "${MPI_LINK_FLAGS}"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/bin"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(python-mpi ${PYTHON_LIBRARY})
TARGET_LINK_LIBRARIES(python-mpi ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libmpe.so ---
ADD_LIBRARY(pmpi-mpe MODULE "${mpi4py_SOURCE_DIR}/pmpi-mpe.c")
SET_TARGET_PROPERTIES(
  pmpi-mpe PROPERTIES
  OUTPUT_NAME "mpe"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-mpe ${MPE_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-mpe ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libvt.so ---
ADD_LIBRARY(pmpi-vt MODULE "${mpi4py_SOURCE_DIR}/pmpi-vt.c")
SET_TARGET_PROPERTIES(
  pmpi-vt PROPERTIES
  OUTPUT_NAME "vt"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-vt ${VT_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-vt ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libvt-mpi.so ---
ADD_LIBRARY(pmpi-vt-mpi MODULE "${mpi4py_SOURCE_DIR}/pmpi-vt-mpi.c")
SET_TARGET_PROPERTIES(
  pmpi-vt-mpi PROPERTIES
  OUTPUT_NAME "vt-mpi"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-vt-mpi ${VT_MPI_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-vt-mpi ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libvt-hyb.so ---
ADD_LIBRARY(pmpi-vt-hyb MODULE "${mpi4py_SOURCE_DIR}/pmpi-vt-hyb.c")
SET_TARGET_PROPERTIES(
  pmpi-vt-hyb PROPERTIES
  OUTPUT_NAME "vt-hyb"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-vt-hyb ${VT_HYB_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-vt-hyb ${MPI_LIBRARIES})

=== docs/source/usrman/Makefile ===
--- 
+++ 
@@ -77,17 +77,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PETScforPython.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MPIforPython.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PETScforPython.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MPIforPython.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/PETScforPython"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PETScforPython"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/MPIforPython"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MPIforPython"
 	@echo "# devhelp"
 
 epub:

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: mpi4py
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf,
                mpi-default-dev, mpi-default-bin,
                rsh-client | openssh-client,
                python-all-dev (>= 2.6.6-3~),
                python-numpy,
-               python-sphinx,
+               python-sphinx (>= 1.0.7+dfsg~),
                python-nose,
                cython,
                python3-all-dev,
                python3-numpy,
                python3-nose,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mpi4py/
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/mpi4py.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/mpi4py.git
@@ -96,7 +97,7 @@
 Package: python-mpi4py-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-mpi4py
 Description: bindings of the MPI standard -- documentation
  MPI for Python (mpi4py) provides bindings of the Message Passing

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,23 @@
 PY2VERS = $(shell pyversions -vr)
 PY3VERS = $(shell py3versions -vr)
 
+CYTHON_VER := $(shell dpkg -l cython 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0)
+RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.19.1 && echo ",autoreconf" || echo "")
+
 # Specify a specific version of MPI to use in the build, otherwise
 # just use the default.
 # MPI=.openmpi
 
 %:
-	dh $@ --with python2,python3 --buildsystem python_distutils
+	dh $@ --with python2,python3$(RECONF),sphinxdoc --buildsystem python_distutils
+
+cythonize:
+	@echo "D: removing previously generated by Cython sources"
+	find -iname *.c | xargs grep -l 'Generated by Cython' | xargs -r rm
+	python setup.py build_src
+
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- cythonize
 
 # Enforce distutils build system to build for all supported versions
 # then build documentation
@@ -27,9 +38,6 @@
 	: # Build documentation now
 	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*$(PY2)` \
 	 make -C docs/source/usrman/ html
-	-rm -r docs/source/usrman/_build/html/_sources
-	: # objects inventory is of no use for the package
-	-rm docs/source/usrman/_build/html/objects.inv
 
 override_dh_auto_install:
 	dh_auto_install
@@ -54,10 +62,14 @@
 	done
 
 	: # Python 3
+	: # Can have python$$v symlink pointing to python3.?m or python3.?mu
+	: # see #700995 for more details.  So first look where it points to
+	: # and use that directory
 	set -e; for v in $(PY3VERS); do \
 	[ -d $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v ] || \
-		mkdir -p $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v; \
-		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
+		pythonv_inc_dir=$$(readlink -f /usr/include/python$$v); \
+		mkdir -p $(CURDIR)/debian/python3-mpi4py$$pythonv_inc_dir; \
+		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py $${pythonv_inc_dir#/}/mpi4py; \
 	done
 
 	: # share -dbg and normal package doc dirs
@@ -69,11 +81,17 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for v in $(PY2VERS) $(PY3VERS); do \
+     echo "I: testing using python$$v"; \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$v` \
 	  /usr/bin/python$$v /usr/bin/nosetests -v --exclude='testPackUnpackExternal'; \
 	done
 else
 	: # Skip unittests due to nocheck
+endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+	dh_sphinxdoc -ppython-mpi4py-doc
 endif
 
 override_dh_strip:
@@ -94,3 +112,10 @@
 
 	: # Remove Cython generated files
 	rm -f src/mpi4py.MPE.c src/mpi4py.MPI.c src/include/mpi4py/mpi4py.MPI_api.h
+
+get-orig-dev-source:
+	cd ../mpi4py-hg/; \
+	uver=`sed -ne "/__version__/s,.*= *'\(.*\)' *$$,\1,gp" src/__init__.py`; \
+	tarball=../tarballs/mpi4py_$$uver+hg`date +"20%y%m%d"`.orig.tar.gz; \
+	echo "I: Generating $$tarball"; \
+	hg archive --exclude 'misc' -t tgz $$tarball;

=== debian/watch ===
version=3
opts="versionmangle=s/-//,dversionmangle=s/.dfsg$//" \
  http://code.google.com/p/mpi4py/downloads/list \
  .*/mpi4py-([\d\.]*)\.tar\.gz
